summaryrefslogtreecommitdiff
path: root/package/ipmitool
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2015-02-28 10:11:11 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2015-02-28 10:14:39 +0100
commit3b7e950a2a226d1344e78da8fb10e3cdb92f37a0 (patch)
tree2bda2f5203b3833e77529fe96884d56e69c8fca3 /package/ipmitool
parent23cfddf360edbac12473a5c6f9e2d85b12992bb3 (diff)
cleanup phil's submissions
- use () instead of {} in make variables for now - use PKG_HASH instead of PKG_MD5SUM - update to latest upstream versions - use a newline between PKG_* variables and DISTFILES - use <pkgname>-install instead of post-install - use lowercase description texts only - fix some missing PKG_BUILDDEP - elfutils needs argp, which is not available in uClibc-ng, yet - PKG_HASH is not required for git sources
Diffstat (limited to 'package/ipmitool')
-rw-r--r--package/ipmitool/Makefile18
-rw-r--r--package/ipmitool/patches/patch-configure71
2 files changed, 11 insertions, 78 deletions
diff --git a/package/ipmitool/Makefile b/package/ipmitool/Makefile
index 8018b4d93..2fec3dd77 100644
--- a/package/ipmitool/Makefile
+++ b/package/ipmitool/Makefile
@@ -4,21 +4,25 @@
include $(ADK_TOPDIR)/rules.mk
PKG_NAME:= ipmitool
-PKG_VERSION:= 1.8.11
+PKG_VERSION:= 1.8.15
PKG_RELEASE:= 1
-PKG_MD5SUM:= 0f9b4758c2b7e8a7bafc2ead113b4bc6
-PKG_DESCR:= Utility for controlling IPMI enabled devices.
+PKG_HASH:= f0964e644a8e693932a3e8da6929d5598ed24645bacd51fbb1a4a09b5e47cf78
+PKG_DESCR:= utility for controlling ipmi enabled devices
PKG_SECTION:= net/misc
PKG_URL:= http://ipmitool.sf.net/
-PKG_SITES:= ${MASTER_SITE_SOURCEFORGE:=ipmitool/}
+PKG_SITES:= $(MASTER_SITE_SOURCEFORGE:=ipmitool/)
+
+DISTFILES:= $(PKG_NAME)-$(PKG_VERSION).tar.gz
include $(ADK_TOPDIR)/mk/package.mk
-$(eval $(call PKG_template,IPMITOOL,$(PKG_NAME),$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+$(eval $(call PKG_template,IPMITOOL,ipmitool,$(PKG_VERSION)-$(PKG_RELEASE),$(PKG_DEPENDS),$(PKG_DESCR),$(PKG_SECTION)))
+
+CONFIGURE_ENV+= ac_cv_func_malloc_0_nonnull=yes
-post-install:
+ipmitool-install:
$(INSTALL_DIR) $(IDIR_IPMITOOL)/usr/bin
$(INSTALL_BIN) $(WRKINST)/usr/bin/ipmitool \
$(IDIR_IPMITOOL)/usr/bin
-include ${ADK_TOPDIR}/mk/pkg-bottom.mk
+include $(ADK_TOPDIR)/mk/pkg-bottom.mk
diff --git a/package/ipmitool/patches/patch-configure b/package/ipmitool/patches/patch-configure
deleted file mode 100644
index 1abeed4ad..000000000
--- a/package/ipmitool/patches/patch-configure
+++ /dev/null
@@ -1,71 +0,0 @@
- enable configure to run despite $cross_compiling
---- ipmitool-1.8.11.orig/configure 2009-02-25 22:21:56.000000000 +0100
-+++ ipmitool-1.8.11/configure 2013-03-12 15:58:58.896054409 +0100
-@@ -24311,67 +24311,6 @@ _ACEOF
- fi;
-
-
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
-- #include <stdio.h>
--
-- struct packstruct {
-- unsigned char t0 :5;
-- unsigned char t1 :5;
-- unsigned char t2 :5;
-- unsigned char t3 :5;
-- unsigned char t4 :4;
-- } __attribute__ ((packed));
--
-- int
-- main(int argc, char ** argv)
-- {
-- if(sizeof(struct packstruct) != 3)
-- return(1);
-- else
-- return(0);
-- }
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- :
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_PRAGMA_PACK 1
--_ACEOF
--
--
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
- ac_config_files="$ac_config_files Makefile doc/Makefile contrib/Makefile control/Makefile control/pkginfo control/prototype control/rpmmacros control/ipmitool.spec lib/Makefile include/Makefile include/ipmitool/Makefile src/Makefile src/plugins/Makefile src/plugins/lan/Makefile src/plugins/lanplus/Makefile src/plugins/open/Makefile src/plugins/free/Makefile src/plugins/imb/Makefile src/plugins/bmc/Makefile src/plugins/lipmi/Makefile"